FASTATOOL(1)

NAME
fastatool - Provides a set of tools useful when working with FASTA files.

DESCRIPTION
This program is part of the MIRA assembler package. Fastatool provides a set of tools useful when working with FASTA trace files.

Please check out the documentation below for more detailed information.

SYNOPSIS"
fastatool <toolname> <tool parameters>

OPTIONS

clip
    Clips bases on the left and right of a FASTA sequence, writes result to STDOUT.

    Usage:

clipFASTA -l leftclip -r rightclip fastainfile

sanitize
    Deletes sequences with non-IUPAC bases or empty sequences from a FASTA file, writes the 'surviving' sequences to a new file. If a quality file is given, a cleaned version of that is also written. The sequences in the quality files (if given) MUST be in the same order than in the fasta file.

    Usage:

sanitizeFASTA fastainfile fastaoutfile [fastaqualin fastaqualoutfile]

SEE ALSO
A more extensive documentation is provided in the mira-doc package and can be found at /usr/share/doc/mira-assembler/DefinitiveGuideToMIRA.html.

You can also subscribe one of the MIRA mailing lists at

    http://www.chevreux.org/mira_mailinglists.html

After subscribing, mail general questions to the MIRA talk mailing list:

    mira_talk@freelists.org

BUGS
To report bugs or ask for features, please use the new ticketing system at:

    http://sourceforge.net/apps/trac/mira-assembler/

AUTHOR
The author of the mira code is Bastien Chevreux <bach@chevreux.org>

This manual page was written by Andreas Tille <tille@debian.org> but can be freely used for any other distribution.